Name:           jag
Version:        0.3.3
Release:        %mkrel 1
Summary:        Arcade and puzzle 2D game in which you have to break all the target pieces
# README say "under the GPL" so that's quite vague
License:        GPLv2+
Group:          Games/Puzzles
URL:            http://jag.xlabsoft.com
# New repo: https://github.com/LibreGames/jag
Source0:        https://github.com/LibreGames/jag/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(xrandr)
Requires:       %{name}-data >= %{version}

%description
The aim of JAG is to break all of the target pieces on each level,
and to do this before the time runs out. Keep doing this until you
have beaten the last level and won the game.

%files
%doc README
%{_gamesbindir}/%{name}
# %%{_gamesbindir}/%%{name}-editor
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/256x256/apps/%{name}.png

#----------------------------------------------------------------------

%package data
Summary:        Data files for the JAG game
Group:          Games/Puzzles
BuildArch:      noarch

%description data
This package contains data files for the JAG game.

%files data
%{_gamesdatadir}/%{name}/

#----------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%qmake_qt5
%make_build

# pushd editor
# %%qmake_qt5
# %%make
# popd

%install
%make_install INSTALL_ROOT=%{buildroot}

# install -m755 editor/bin/jag-editor %%{buildroot}%%{_gamesbindir}/%%{name}-editor


%changelog
* Sat Oct 08 2016 akien <akien> 0.3.3-1.mga6
+ Revision: 1059685
- Version 0.3.3 (upstreams our packaging work)

* Mon Feb 15 2016 umeabot <umeabot> 0.3.2-2.dev.2.mga6
+ Revision: 960703
- Mageia 6 Mass Rebuild

  + akien <akien>
    - WIP version with initial Qt5 support

* Tue Jul 21 2015 akien <akien> 0.3.2-1.mga6
+ Revision: 855883
- Version 0.3.2
- Split data into a noarch subpackage
- Build and package the map editor
- Move binary and game data to proper game paths

  + dmorgan <dmorgan>
    - imported package jag

